<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (C) 2009-2020 SAP SE or an SAP affiliate company. All rights reserved.

-->
<chip xmlns="http://schemas.sap.com/sapui2/services/Chip/1">
	<implementation>
		<sapui5>
			<basePath>../../../../</basePath>
			<componentName>ssuite.smartbusiness.tiles.contribution</componentName>
		</sapui5>
	</implementation>
	<appearance>
		<title />
		<description />
	</appearance>
	<sources>
		<source id="tilePropertiesBag">
			<base>bag</base>
			<location>sb_tileProperties</location>
		</source>
		<source id="tilePropertiesConfig">
			<base>config</base>
			<location>JSON:tileConfiguration\JSON:TILE_PROPERTIES\JSON:.
			</location>
		</source>
		<source id="tilePropertiesAdditional">
			<base>config</base>
			<location>JSON:tileConfiguration\JSON:ADDITIONAL_APP_PARAMETERS\JSON:.
			</location>
		</source>
	</sources>

	<propertyPaths>
		<properties source="tilePropertiesBag" usage="display">
			<property name="display-title_text">title</property>
			<property name="display-subtitle_text">description</property>
		</properties>

		<properties source="tilePropertiesConfig" usage="navigation">
			<property source="calc" name="navigation-type">"I"</property>
			<property name="navigation-intent-semantic_object">semanticObject</property>
			<property name="navigation-intent-semantic_action">semanticAction</property>
			<property source="comp" name="navigation-intent-semantic_parameters"
				false="ssb_additional_navigation_semantic_parameters" true="ssb_generic_navigation_semantic_parameters">ssb_navType=ssb_generic_navType
			</property>
			<property source="comp"
				name="ssb_generic_navigation_semantic_parameters" false="ssb_default_semantic_parameters"
				true="ssb_evaluation_semantic_parameters">ssb_reportID=null</property>
			<property source="comp" name="ssb_default_semantic_parameters"
				false="ssb_report_semantic_parameters" true="ssb_evaluation_semantic_parameters">ssb_evaluationID=ssb_reportID
			</property>
			<property source="calc"
				name="ssb_additional_navigation_semantic_parameters">{additional:"&amp;"~name~"="~value:}</property>
			<property source="calc" name="ssb_evaluation_semantic_parameters">"EvaluationId="~ssb_evaluationID~ssb_additional_navigation_semantic_parameters
			</property>
			<property source="calc" name="ssb_report_semantic_parameters">"ReportId="~ssb_reportID~ssb_additional_navigation_semantic_parameters
			</property>
			<property source="calc" name="ssb_generic_navType">"0"</property>
			<property source="tilePropertiesAdditional" name="additional">*
			</property>
			<property name="ssb_evaluationID">evaluationId</property>
			<property name="ssb_reportID">reportId</property>
			<property name="ssb_navType">navType</property>

		</properties>
	</propertyPaths>
	<contracts>
		<consume id="configuration">
			<parameters>
				<parameter name="tileConfiguration" />
				<parameter name="isSufficient" />
				<parameter name="timeStamp" />
				<parameter name="cacheTimeStamp" />
			</parameters>
		</consume>
		<consume id='writeConfiguration'>
			<parameters>
				<parameter name="tileConfiguation" />
				<parameter name="cacheTimeStamp" />
			</parameters>
		</consume>
		<consume id="visible" />
		<consume id="url" />
		<consume id="preview" />
		<consume id="search" />
		<consume id="configurationUi" />
		<consume id="bag" />
	</contracts>
</chip>
